Chris
Cheney
ccheney@debian.org
7 Marzec 2003
dcop
1

# `dcop`

Konsolowy klient mechanizmu &DCOP;

    dcop --pipe --user  użytkownik --all-users --session  sesja --all-sessions --list-sessions --no-user-time  program  obiekt  funkcja parametry

## Opis

Konsolowy klient mechanizmu &DCOP;

## Parametry

`--pipe`

  Generuje wywołanie &DCOP; dla każdej linii odczytanej ze standardowego wejścia STDIN.

  Opcja ta działa w przybliżeniu jak program: `while read line ; do dcop $line ; done` jednak nie powoduje uruchomienia nowej instancji programu dla każdej linii `dcop`, dzięki czemu działa zdecydowanie szybciej. Jest to szczególnie widoczne przy korzystaniu z wolniejszych linkerów dynamicznych GNU.

`--user` użytkownik

  Podłącza się do serwera &DCOP; określonego użytkownika. Wprowadzenie tej opcji wywołuje zignorowanie wartości zdefiniowanych w zmiennych środowiskowych $`DCOPSERVER` i $`ICEAUTHORITY`.

  Jeżeli użytkownik ma otwarte kilka sesji to należy skorzystać z opcji `--list-sessions`, `--session` lub `--all-sessions`.

`--all-users`

  Przesyła identyczny komunikat &DCOP; do serwerów &DCOP; wszystkich użytkowników. Komunikat błędu zostanie wyświetlony jeżeli podłączenie do istniejącego serwera nie powiodło się. Jeżeli w systemie nie ma żadnych działających serwerów &DCOP; to komunikat błędu nie będzie wyświetlony.

`--session` sesja

  Wysyła komunikat do określonej sesji &kde;. Opcja ta musi być użyta jednocześnie z opcją `--user`.

`--all-sessions`

  Wysyła komunikat do wszystkich odnalezionych sesji. Opcja działa tylko wspólnie z opcjami `--user` oraz `--all-users`.

`--list-sessions`

  Wyświetla wszystkie aktywne sesje &kde; dla jednego lub wszystkich użytkowników.

`--no-user-time`

  Wyłącza aktalizację znacznika czasu aktywności użytkownika w wywoływanym programie (używane w skryptach działających w tle).

## Zmienne środowiskowe

`DCOPSERVER`

`ICEAUTHORITY`

## Zobacz także

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Pracując w środowisku &kde;, można wprowadzić `help:/kdcop` w polu adresowym &konqueror-dopelniacz; co spowoduje wyświetlenie podręcznika użytkownika programu kdcop - graficznego narzędzia do sterowania mechanizmem &DCOP;.